Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::PictureSort Class Reference

Picture type Class.

`#include <common.h>`

List of all members.

## Public Member Functions

- PictureSort ()
- void SetIntra ()
- void SetInter ()
- void SetNonRef ()
- void SetRef ()
- bool IsInter () const
- bool IsIntra () const
- bool IsRef () const
- bool IsNonRef () const
- void SetIntraNonRef ()
- void SetIntraRef ()
- void SetInterNonRef ()
- void SetInterRef ()
- bool IsIntraNonRef () const
- bool IsIntraRef () const
- bool IsInterNonRef () const
- bool IsInterRef () const
- void Clear ()

## Static Public Member Functions

- static PictureSort IntraRefPictureSort ()
- static PictureSort InterRefPictureSort ()
- static PictureSort IntraNonRefPictureSort ()
- static PictureSort InterNonRefPictureSort ()

## Private Attributes

- unsigned char fs

## Constructor & Destructor Documentation

dirac::PictureSort::PictureSort | ( |  | ) | `[inline]`

References fs.

## Member Function Documentation

void dirac::PictureSort::SetIntra | ( |  | ) | `[inline]`

References fs.

Referenced by SetIntraNonRef(), and SetIntraRef().

void dirac::PictureSort::SetInter | ( |  | ) | `[inline]`

References fs.

Referenced by SetInterNonRef(), and SetInterRef().

void dirac::PictureSort::SetNonRef | ( |  | ) | `[inline]`

References fs.

Referenced by SetInterNonRef(), and SetIntraNonRef().

void dirac::PictureSort::SetRef | ( |  | ) | `[inline]`

References fs.

Referenced by SetInterRef(), and SetIntraRef().

bool dirac::PictureSort::IsInter | ( |  | ) | const`[inline]`

References fs.

Referenced by IsIntra().

bool dirac::PictureSort::IsIntra | ( |  | ) | const`[inline]`

References IsInter().

bool dirac::PictureSort::IsRef | ( |  | ) | const`[inline]`

References fs.

Referenced by IsNonRef().

bool dirac::PictureSort::IsNonRef | ( |  | ) | const`[inline]`

References IsRef().

void dirac::PictureSort::SetIntraNonRef | ( |  | ) | `[inline]`

References SetIntra(), and SetNonRef().

Referenced by IntraNonRefPictureSort().

void dirac::PictureSort::SetIntraRef | ( |  | ) | `[inline]`

References SetIntra(), and SetRef().

Referenced by IntraRefPictureSort().

void dirac::PictureSort::SetInterNonRef | ( |  | ) | `[inline]`

References SetInter(), and SetNonRef().

Referenced by InterNonRefPictureSort().

void dirac::PictureSort::SetInterRef | ( |  | ) | `[inline]`

References SetInter(), and SetRef().

Referenced by InterRefPictureSort().

bool dirac::PictureSort::IsIntraNonRef | ( |  | ) | const`[inline]`

References fs.

bool dirac::PictureSort::IsIntraRef | ( |  | ) | const`[inline]`

References fs.

bool dirac::PictureSort::IsInterNonRef | ( |  | ) | const`[inline]`

References fs.

bool dirac::PictureSort::IsInterRef | ( |  | ) | const`[inline]`

References fs.

void dirac::PictureSort::Clear | ( |  | ) | `[inline]`

References fs.

static PictureSort dirac::PictureSort::IntraRefPictureSort | ( |  | ) | `[inline, static]`

References fs, and SetIntraRef().

static PictureSort dirac::PictureSort::InterRefPictureSort | ( |  | ) | `[inline, static]`

References fs, and SetInterRef().

static PictureSort dirac::PictureSort::IntraNonRefPictureSort | ( |  | ) | `[inline, static]`

References fs, and SetIntraNonRef().

static PictureSort dirac::PictureSort::InterNonRefPictureSort | ( |  | ) | `[inline, static]`

References fs, and SetInterNonRef().

## Member Data Documentation

unsigned char dirac::PictureSort::fs`[private]`

Referenced by Clear(), InterNonRefPictureSort(), InterRefPictureSort(), IntraNonRefPictureSort(), IntraRefPictureSort(), IsInter(), IsInterNonRef(), IsInterRef(), IsIntraNonRef(), IsIntraRef(), IsRef(), PictureSort(), SetInter(), SetIntra(), SetNonRef(), and SetRef().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.